#ifndef CoarsenedStructBlock2D_HH
#define CoarsenedStructBlock2D_HH

template<class POP> class CoarsenedStructBlock2D;

#include <MultiGridAgent.hh>

template<class POP>
class CoarsenedStructBlock2D : public StructuredBlock2D<POP>
{
protected:
  /**
     the relations between the fine and coarse nodes 
  */ 
  MultiGridAgent<POP> *mg_agent;

  /**
     the fine grid
  */
  StructuredBlock2D *fine_grid;

public:
  /** */ CoarsenedStructBlock2D(carg_t arg);
};

#include "CoarsenedStructBlock2D.cc"

#endif
