#include <CppConstructArg.hh>

template<class POP>
MultiGridTransferToFine<POP>::MultiGridTransferToFine(carg_t arg) : Action(arg)
{
  AddClassName();
  mg_agent = ResolveVar<MultiGridAgent<POP> >(arg);
  string new_name = arg.P->ReadString();
  restr_new = new TPOperation<MultiGridWeightedRestriction<POP> ,POP>
    (ccarg_t(this) + (ccarg_t(this) + (  ccarg_t(this) 
				       + ccarg_var(mg_agent)
				       + new_name 
				       + "mg_source"
				       + real(+1) )));
  prolong_new = new TPOperation<MultiGridProlongation<POP> ,POP>
    (ccarg_t(this) + (ccarg_t(this) + (  ccarg_t(this)
				       + ccarg_var(mg_agent)
				       + new_name
				       + new_name
				       + real(+1) )));
};

template<class POP>
void MultiGridTransferToFine<POP>::Act()
{
  restr_new->Act();

  // test stuff
  PointList *PL = mg_agent->CoarsePL();
  VarList *VL = mg_agent->CoarseVL();
  VarContainer::var2_t v = VL->Get2DVar("new");

  /*
  FORALL(i, PL->) {
    if (PL->code(i) == 1) {
      for (size_t j=0; j<VL->NumVars(); j++) v[j][i] = 0.0;
    };
  };
  */

  prolong_new->Act();
};
