#ifndef MultiGridIsoVarValue_HH
#define MultiGridIsoVarValue_HH

template<class POP> class MultiGridIsoVarValue;

#include <IsoVarValue.hh>
#include <VarList.hh>

/** */
template<class POP>
class MultiGridIsoVarValue : public IsoVarValue
{
protected:
  /** */ TList<MultiGridAgent<PopList2D>*> *mg_agents;
  /** */ size_t CoarsePoint(size_t p);

public:
  /** */ MultiGridIsoVarValue(ConstructArg arg);
  /** */ virtual void CalcValues();
};

#include "MultiGridIsoVarValue.cc"

#endif

