template<class POP>
MultiGridTransferOperator<POP>::MultiGridTransferOperator(carg_t arg)
  : Operator(arg)
{
  AddClassName();
  mg_agent = ResolveVar<MultiGridAgent<POP> >(arg);
  fine_field_name = arg.P->ReadString();
  coarse_field_name = arg.P->ReadString();
  VL_coarse = mg_agent->CoarseVL();
  PL_coarse = mg_agent->CoarsePL();
  VL_fine = mg_agent->FineVL();
  PL_fine = mg_agent->FinePL();
  var_fine = VL_fine->Get2DVar(fine_field_name);
  var_coarse = VL_coarse->Get2DVar(coarse_field_name);
  factor = arg.P->ReadReal();
};
